import { Module } from '@nestjs/common';
import { PasswordConverter } from './services/password-converter';
import { RedisMutexModule } from './redis-mutex/redis-mutex.module';
import { JwtService } from './services/jwt.service';

@Module({
  providers: [PasswordConverter, JwtService],
  exports: [PasswordConverter, RedisMutexModule, JwtService],
  imports: [RedisMutexModule],
})
export class CommonsModule {}
